#
# spec file for package perl-Parallel-MPI (Version 0.02)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mpich
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils mpich ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Parallel-MPI
%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Copyright:    1999 - not specified
Group:        Applications/Clustering
Summary:      Perl Extension for MPI (mpich).
Version:      0.02
Release:      138
Source:       Parallel-MPI-0.02.tar.gz
Patch:	      Parallel-MPI-0.02.dif
Obsoletes:    p_mpi
Provides:     p_mpi
BuildRoot: %{_tmppath}/Parallel-MPI-%{version}-root
Autoreqprov:  on

%description
Perl Extension for MPI (mpich).

Authors:
--------
    Josh Wilmes <wilmesj@rpi.edu>

SuSE series: perl

%prep
%setup -q -n Parallel-MPI-%{version}
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make DESTDIR=$RPM_BUILD_ROOT PREFIX=$RPM_BUILD_ROOT/usr install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@^$RPM_BUILD_ROOT@@g" >  $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Parallel-MPI
rm $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
find $RPM_BUILD_ROOT/usr/lib -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc docs/* contrib
/var/adm/perl-modules/perl-Parallel-MPI
/usr/share/man/man3/*

%changelog -n perl-Parallel-MPI
* Mon Jul 30 2001 - nashif@suse.de
- Removed wrong pathes to perl
* Thu Mar 08 2001 - nashif@suse.de
- fiexed %%files in spec
* Fri Feb 23 2001 - nashif@suse.de
- Spec file cleanup
* Wed Nov 08 2000 - nashif@suse.de
- removed build root path from paclist
* Tue Nov 07 2000 - nashif@suse.de
- Changed to long package name
* Sat Sep 02 2000 - nashif@suse.de
- Added -DPERL_POLLUTE to make it compilw with perl 5.6.0
* Sun May 14 2000 - nashif@suse.de
- Fix file list to work on other architectures
* Sun May 07 2000 - nashif@suse.de
- Initial Release
